Jump to content
Sign in to follow this  
DeseaSe

Установка Adobe Flash-plugin (новичек)

Recommended Posts

Поставил Kubuntu 8.10.

скачал Firefox, теперь необходимо поставить Flash-plugin.

скачал с сайта файл flash-plugin-10.0.12.36-release.i386.rpm

запускаю

sudo rpm -i flash-plugin-10.0.12.36-release.i386.rpm

в итоге имею:

ошибка: Неудовлетворенные зависимости:

/bin/bash нужен для flash-plugin-10.0.12.36-release.i386

/bin/sh нужен для flash-plugin-10.0.12.36-release.i386

glibc >= 2.4 нужен для flash-plugin-10.0.12.36-release.i386

.. на всякий случай попробовал sudo apt-get install bash - пишет, что установлена самая последняя версия.

вопрос?

.. так как мне установить плагин? )

Share this post


Link to post
Share on other sites

Спасибо. вопрос - все программы, которые я устанавливаю первый раз лучше ставить через apt-get?

зы. может кто знает бесплатный аналог punto switcher'а для linux? в нете нашел XNeur, но где то были мысли что он платный. =(

Share this post


Link to post
Share on other sites

поставил. но почему то мало что изменилось. на сайте piter.fm как не было проигрываетля так и не появился он =( что еще надо сделать?

Share this post


Link to post
Share on other sites

Цитата:

Спасибо. вопрос - все программы, которые я устанавливаю первый раз лучше ставить через apt-get?

Да, лучше все делать через apt, тогда весь софт будет обновляться из репозаториев автоматически.

Цитата:

зы. может кто знает бесплатный аналог punto switcher'а для linux? в нете нашел XNeur, но где то были мысли что он платный. =(

Чушь! Он не платный, имеется в официальных репозиториях.

Но рекомендую пойти по другому пути...

Добавь вот этот репозиторий deb http://gq.net.ru/ubuntu intrepid xneur после чего выполни команду sudo apt-get update, потом sudo apt-get install xneur gxneur. Если ругается на авторизацию, то поставь вот этот пакетик http://gq.net.ru/debian/pool/main/g/gq-keyring/gq-keyring_20 07.05.26_all.deb

Сайт проекта http://xneur.ru/wiki/Downloads там все посмотри.

По поводу флеша:

Цитата:

скачал с сайта файл flash-plugin-10.0.12.36-release.i386.rpm

Если ты поставил ubuntu/kubuntu/xubuntu/debian, то забудь про *.rpm. Эти дистры используют *.deb пакеты. Хотя конечно *.rpm можно конвертировать в *.deb, только вот зачем?

Поставь пакет ubuntu-restricted-extras

Команда вот такая: sudo apt-get install ubuntu-restricted-extras

Сразу все кодеки встанут, под звук, под видео, флеш и java.

Share this post


Link to post
Share on other sites

DeseaSe писал(а) Sun, 23 November 2008 00:06

поставил. но почему то мало что изменилось. на сайте piter.fm как не было проигрываетля так и не появился он =( что еще надо сделать?

Что система отвечает на команду dpkg -l flashplugin-nonfree?

Кстати, совет выше насчет пакета ubuntu-restricted-extras поддерживаю.

Тыкать сюда.

Share this post


Link to post
Share on other sites

sudo apt-get install ubuntu-restricted-extras

скачалось ок 60 мб, установилось. захожу на сайт moskva.fm - все равно не работает флэш плеер. хз почему.

результат команды dpkg -l flashplugin-nonfree :

dpkg: не удалось обработать параметр flashplugin-nonfree (--install):

нет доступа к архиву: No such file or directory

При обработке следующих пакетов произошли ошибки:

flashplugin-nonfree

Share this post


Link to post
Share on other sites

вообщем, решил делать вручную.

скачал flash***.deb - итог:

____________________________________________________________

dpkg: не удалось обработать параметр install_flash_player_10_linux.deb (--install):

архитектура пакета (i386) не соответствует архитектуре системы (amd64)

При обработке следующих пакетов произошли ошибки:

install_flash_player_10_linux.deb

____________________________________________________________

скачал *****.tar.gz - итог:

ERROR: Your architecture, \'x86_64\', is not supported by the

Adobe Flash Player installer.

____________________________________________________________

вопрос: и что теперь делать? на сайте adobe.com нету други плееров!

есть еще способы заставить работать flash?

кстати, чтобы у меня браузер отображал flash - нужно чтобы был flash_plugin или flash_player тоже обязателен?

Share this post


Link to post
Share on other sites

Короче, нашел плагин для х86_64, скачал. Блин, не знаю куда ставить.

поставил в:

/usr/lib64/firefox-3.0.4/plugins

/usr/lib64/firefox/plugins

/usr/lib/firefox-3.0.4/plugins

/usr/lib/firefox/plugins

_______________

короче, куда смог - везде установил, во все мозилы на всяк случай. но блин, все равно не отображается. при том что при проверке на сайте http://www.adobe.com/swf/software/flash/about/flashAbout_inf o_small.swf - пишет, что установлена версия 10,0,12,36 installed

______________

блин, хз че уже делать!! =((

Share this post


Link to post
Share on other sites

Еще раз подсказываю. Вам НЕ НУЖНО ставить никакие сторонние пакеты. В репозиториях Ubuntu УЖЕ ЕСТЬ все необходимое.

Соответственно, порядок действия такой:

1. Удаляете все, что вы поставили руками.

2. Еще раз устанавливаете плагин из репозиториев: sudo apt-get install flashplugin-nonfree, поскольку до сих пор у вас этот пакет, видимо, не установлен.

При этом внимательно следите, нет ли каких-либо сообщений об ошибках.

После этого в Firefox в адресной строке вбейте about:plugins. Если там вы видите ваш плагин, но сайт все равно не открывается - проблема в сайте.

P.S. У меня ощущение, что вы перепутали dpkg -l и dpkg -i, и показали вывод именно последней команды.

Share this post


Link to post
Share on other sites

Переустановил систему.

мои действия с самого начала:

1. sudo pppoeconf

2. sudo apt-get install firefox3

3. sudp apt-get install flashplugin-nonfree

_____________________________________________

итог:

2008-11-25 00:24:13 (30,5 KB/s) - `./install_flash_player_10_linux.tar.gz' сохранён [3958745/3958745]

Download done.

Flash Plugin installed.

Настраивается пакет lib32nss-mdns (0.10-3ubuntu2) ...

Настраивается пакет libasound2-plugins (1.0.17-0ubuntu5) ...

Обрабатываются триггеры для libc6 ...

ldconfig deferred processing now taking place

________________________________________________

захожу ФФ на http://www.moskva.fm/stations/FM_101.2 - и флэша все равно нет. у подруги есть (у нее винда. и у меня через винду никогда не было такой проблемы). эххх.

но теперь то я все правильно то понял? или где ошибку допустил? простите за напряг мозга )

Share this post


Link to post
Share on other sites

Да, теперь все сделано совершенно верно. И плагин у вас _точно_ установился. Чтобы убедиться в этом откройте about:plugins.

Указанный вами сайт у меня сейчас не открывается: "Извините, на сайте что-то временно не работает. Заходите через полчасика, наверняка уже починим."

А другие сайты с флэшем работают? К примеру, http://ru.youtube.com

Если нет, будем разбираться в чем сложность Smile

Share this post


Link to post
Share on other sites

Довольно странно. зашел на сайт http://ru.youtube.com - плеер открылся, посморел ролик. предложили посмотреть еще 1 . нажал - а тут вот все и пропало. браузер говорит: page loaded , а плеер так и не появился. тыкнул на другой ролик - отказ, еще 1 - то же самое. )

_______________________

кстати, у меня видео карта ужасно работает. поставил проприетарные, - ужас просто! полосы (при прокрутке экрана страницы) как на плохо ловящем телевизоре и пр! поставил envy (вроде так называется), установил автоматически драйвер - итог - при перезагрузке - черный экран - белая мышь. =)

ati x1600/x1650pro выдала мне система. ) - вроде моя карта )

Share this post


Link to post
Share on other sites

За карты с чипами Ati можете винить только Ati, к сожалению Smile Они сами драйверов нормальных не делают (в отличие от NVIDIA), и спецификации не раскрывают Smile

Если один ролик открылся, значит плагин работает. Теперь осталось понять, почему только один раз Smile

У меня конкретных идей нет, честно говоря. Могу предложить понаблюдать за ситуацией, выяснить закономерности падения флэша, и рассказать их здесь.

Приходит в голову страндартная болезнь флэша - нелюбовь к звуковой подсистеме Linux. Не знаю, как в КДЕ (давно его в глаза не видел), но в Gnome надо в настройках звукового сервера везде указать ясно и недвусмысленно, что надо пользоваться ALSA, а не чем-то под названием "Автоопределение". После этого флэш начинает нормально работать.

Возможно, это не имеет никакого отношения к делу Smile

Share this post


Link to post
Share on other sites

Как я понял у Вас была установлена система х64? Совет Вам, поставьте х32, разницы особой не заметите, но работать будет стабильнее. Софта больше.

С Вашей карточкой у многих бывают проблемы. Тут ничего не поделаешь.

У меня стоит Ubuntu 8.10, проблем с флешем не испытываю. Зашел на указанный Вами сайт. все нормально работает. Я правильно понимаю что Вы имели ввиду прямоугольный флеш в центре страницы с прокруткой по горизонтали?

Официально, компания Canonical выпускает только Ubuntu, т.е. с рабочим столом Gnome. Kubuntu - это релиз с KDE, выпускаемый энтузиастами. В сязи с чем там встречаются ошибки и недоработки. Попробуйте поставить Ubuntu. Думаю Вам понравится.

Share this post


Link to post
Share on other sites

Legalizer писал(а) Wed, 26 November 2008 00:43

За карты с чипами Ati можете винить только Ati, к сожалению Smile Они сами драйверов нормальных не делают (в отличие от NVIDIA), и спецификации не раскрывают Smile

И драйвера они нормальные делают(по крайней мере, у меня fglrx замечательно работал).

И спецификации они раскрывают. См. radeonhd и xf86-video-ati.

А что, я пропустил тот момент, когда NVIDIA начала открывать спецификации?

Share this post


Link to post
Share on other sites

EvilShadow писал(а) Thu, 27 November 2008 18:40

Legalizer писал(а) Wed, 26 November 2008 00:43

За карты с чипами Ati можете винить только Ati, к сожалению Smile Они сами драйверов нормальных не делают (в отличие от NVIDIA), и спецификации не раскрывают Smile

И драйвера они нормальные делают(по крайней мере, у меня fglrx замечательно работал).

И спецификации они раскрывают. См. radeonhd и xf86-video-ati.

А что, я пропустил тот момент, когда NVIDIA начала открывать спецификации?

Читаем внимательно: "Они сами драйверов нормальных не делают (в отличие от NVIDIA) ...", а затем вторая половина фразы "... и (они, т.е. Ati или кто там теперь) спецификации не раскрывают."

Здесь не написано, что NVIDIA раскрывает спецификации, да? Про спецификации я погорячился, в любом случае Smile

А насчет нормальных драйверов - вижу много жалоб на их кривость, поэтому если работает для одного, не факт, что заработает для другого.

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Loading...
Sign in to follow this  

×
×
  • Create New...